#include <iostream>
using namespace std;

int main() {

    long long L, m, n, a = 1, s = 0;
    cin >> L >> m >> n;

    do {
        s += m + a * n;
        a++;
    } while (s <= L);

    cout << a;

}
